<?php
$whitelist = '*';
if (isset($_SESSION[SYNOPHOTO_ADMIN_USER]['system_config']['pkgCfg']['no_iframe'])
		&& ($_SESSION[SYNOPHOTO_ADMIN_USER]['system_config']['pkgCfg']['no_iframe'] === 'yes')) {
	$whitelist = '';
	if (isset($_SESSION[SYNOPHOTO_ADMIN_USER]['system_config']['pkgCfg']['white_list'])) {
		$whitelist = str_replace(',', ' ', $_SESSION[SYNOPHOTO_ADMIN_USER]['system_config']['pkgCfg']['white_list']);
	}
}

$rule = "base-uri 'self';";
$rule .=" connect-src *;";
$rule .=" default-src 'self' 'unsafe-eval' https://*.synology.com;";
$rule .=" font-src 'self' data: https://fonts.gstatic.com;";
$rule .=" form-action 'self';";
$rule .=" frame-ancestors 'self' $whitelist;";
$rule .=" frame-src 'self' https://*.synology.com https://www.google.com/maps/embed/ ;";
$rule .=" img-src 'self' data: blob: *.synology.com https://*.gstatic.com https://*.googleapis.com *.google-analytics.com http://*.twimg.com/ http://*.flickr.com/ http://*.staticflickr.com/ https://*.facebook.com https://*.googleusercontent.com https://*.fbcdn.net https://*.google.com http://*.sinaimg.cn;";
$rule .=" report-uri /photo/csp_report.cgi;";
$rule .=" script-src 'self' 'unsafe-eval' https://*.synology.com https://*.google.com https://*.googleapis.com *.google-analytics.com ;";
$rule .=" style-src 'self' 'unsafe-inline' https://*.googleapis.com;";

if (preg_match("/msie/i", $_SERVER['HTTP_USER_AGENT'])) {
	    header("X-Content-Security-Policy: $rule");
} else {
	    header("Content-Security-Policy: $rule");
}
